Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetCommand

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetCommand

All Implemented Interfaces:
  jet.convert.PropInfo, jet.util.Propertiable

    public class JetCommand

extends JetProperty

Property with a command value

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetCommand()`
`JetCommand(jet.controls.JetObject parent, java.lang.String name)`

Method Summary
`static int` | `allocCommand()`
`int` | `get()` Effective if `JetProperty.isCurrentAutoValue()` is false;
`java.lang.Object` | `getData()`
`void` | `set(int value)`
`void` | `set(java.lang.String theval)` sets the normal value via a String.
`void` | `setData(java.lang.Object o)`
`void` | `setValue(int value)`
`java.lang.String` | `toString()`
`java.lang.String` | `toUnitString()` Effective if `JetProperty.isCurrentAutoValue()` is false; returns the unit value as string, the unit value is (with priority)normal value > default value

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isCurrentAutoValue, isCurrentChangedBy, isEnableAutoValue, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setObject, setRuntimeChangeBy, setTransient, setUnitValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetCommand

    public JetCommand()

### JetCommand

    public JetCommand(jet.controls.JetObject parent,
                      java.lang.String name)

Method Detail

### set

    public void set(java.lang.String theval)

  Description copied from class: `JetProperty`
  sets the normal value via a String.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  See Also:
    `Object.toString()`

### set

    public void set(int value)

### setValue

    public void setValue(int value)

### get

    public int get()

  Effective if `JetProperty.isCurrentAutoValue()` is false;

### setData

    public void setData(java.lang.Object o)

### getData

    public java.lang.Object getData()

### allocCommand

    public static int allocCommand()

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`

### toUnitString

    public java.lang.String toUnitString()

  Description copied from class: `JetProperty`
  Effective if `JetProperty.isCurrentAutoValue()` is false; returns the unit value as string, the unit value is (with priority)normal value > default value

  Specified by:
    `toUnitString` in interface `jet.convert.PropInfo`
  Overrides:
    `toUnitString` in class `JetProperty`
  Returns:
    the string
  See Also:
    `Object.toString()`, `JetProperty.isCurrentAutoValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD